java.rmi

## Class NoSuchObjectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.rmi.RemoteException
        - - java.rmi.NoSuchObjectException

- All Implemented Interfaces:
    Serializable

      public class NoSuchObjectException
      extends RemoteException

  A `NoSuchObjectException` is thrown if an attempt is made to invoke a method on an object that no longer exists in the remote virtual machine. If a `NoSuchObjectException` occurs attempting to invoke a method on a remote object, the call may be retransmitted and still preserve RMI's "at most once" call semantics. A `NoSuchObjectException` is also thrown by the method `java.rmi.server.RemoteObject.toStub` and by the `unexportObject` methods of `java.rmi.server.UnicastRemoteObject` and `java.rmi.activation.Activatable` and
  Since:
    JDK1.1
  See Also:
    `RemoteObject.toStub(Remote)`, `UnicastRemoteObject.unexportObject(Remote,boolean)`, `Activatable.unexportObject(Remote,boolean)`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.rmi.RemoteException

      `detail`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoSuchObjectException(String s)` Constructs a `NoSuchObjectException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.rmi.RemoteException

      `getCause, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSuchObjectException

          public NoSuchObjectException(String s)

      Constructs a `NoSuchObjectException` with the specified detail message.
      Parameters:
        `s` - the detail message
      Since:
        JDK1.1

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.